@use './styles/form-validation-message.variations' as variations;
@use './styles/form-validation-message.variables' as *;

:host {
  @include digi-form-validation-message--variables;

  .digi-form-validation-message {
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    &--success {
      @include variations.success;
    }

    &--warning {
      @include variations.warning;
    }

    &--error {
      @include variations.error;
    }
  }

  .digi-form-validation-message__icon {
    color: var(--ICON-COLOR);
    margin-inline-end: var(--digi--gutter--icon);

    > * {
      --digi--icon--width: 1.25em;
      --digi--icon--height: 1.25em;
      --digi--icon--color: var(--ICON-COLOR);
      display: flex;
    }
  }

  .digi-form-validation-message__text {
    flex: 1;
    font-family: var(--digi--global--typography--font-family--default);
    font-size: var(--digi--typography--tag--font-size--desktop);
    color: var(--digi--color--text--primary);
  }
}
